/**
 * Slidebox module
 * Copyright (C) Oghma Kft., 2007
 * Author: Mark Tolmacs <mark.tolmacs@oghma.hu>
 * 
 */
Drupal.pullSlidebox = function (url, dims) {
	$('<div class="slidebox-container"><div class="slidebox-buttons"><span class="slidebox-close-button"></span></div><div class="slidebox-content">Loading content...</div></div>')
		.prependTo('body')
		.css({
				"z-index": "1000",
				"top": -1*dims['height']-25 + "px",
				"left": "400px",
				"width": dims['width'] + "px",
				"height": dims['height'] + "px",
				"position": "absolute",
				"background-color": "white"			
		});
	$('.slidebox-close-button').click(function () {
		$('.slidebox-container').remove();
	});
	$.ajax({
      type: "GET",
      url: '/slidebox/get',
      success: function (data) {
        // Push result into box
        $('.slidebox-content').html(data);
      },
      error: function (xmlhttp) {
        $('.slidebox-content').text('An HTTP error '+ xmlhttp.status +' occured.\nslidebox/get');
      }
    });
} 

Drupal.Slidebox = function (url, delay, speed, dims) {
	$(document).ready(function() {
		Drupal.pullSlidebox(url, dims);
		$('.slidebox-container')
			.animate({opacity: 1.0}, delay)
			.animate({"top": 100}, speed, "easein");
	});
}
